from django.urls import path
from guest import views

urlpatterns = [
    # Public URLs
    path('', views.index, name="index"),
    path('rsvp/', views.rsvp, name="rsvp"),
    path('rsvp/submit/', views.rsvp_submit, name='rsvp_submit'),
    
    # Login Required URLs
    path('login/', views.login_view, name='login'),
    path('logout/', views.logout_view, name='logout'),

    # Check-in URLs
    path('accreditation/', views.accreditation, name='accreditation'),
    path('check-in/', views.check_in, name='check_in'),
    path('search-guest/', views.search_guests, name='search_guests'),
    
    # Dashboard URLs
    path('dashboard/', views.dashboard, name='dashboard'),
    path('accredited/', views.accredited, name='accredited'),  
    path('edit-rsvp/<int:rsvp_id>/', views.edit_rsvp, name='edit_rsvp'),
    path('delete-rsvp/<int:rsvp_id>/', views.delete_rsvp, name='delete_rsvp'),
    path('reset-rsvp-status', views.reset_rsvp_status, name='reset_rsvp_status'),
    path('send-qr-code', views.send_qr_code, name='send_qr_code'),
    path('send-bulk-qr-codes', views.send_bulk_qr_codes, name='send_bulk_qr_codes'),
]

